#roadmap{
	padding-top: 30px;
	padding-bottom: 30px;
	background: linear-gradient(90deg, #210230 0%, #4A099D 46.35%, #210230 100%);

	@include media-breakpoint-up(md) {
		padding-top: 70px;
		padding-bottom: 70px;
	}


	.roadmap-title{
		h3{
			font-weight: 700;
			font-size: 12px;
			line-height: 18px;
			color: #C0C0C0;
			text-transform: uppercase;

			@include media-breakpoint-up(md) {
				font-size: 24px;
				line-height: 35px;
			}
		}

		h2{
			font-weight: 700;
			font-size: 18px;
			line-height: 27px;
			color: #F5F5F5;

			@include media-breakpoint-up(md) {
				font-size: 30px;
				line-height: 44px;
			}
		}
	}
}

.roadmap-group{
	margin-top: 30px;


	@include media-breakpoint-up(md) {
		padding: 70px 0px;
		margin-top: 60px;
		justify-content: center;
	}

	.box{
		margin: 0 auto;
		width: 102px;
		height: 102px;
		padding: 7.5px;
		border: 7.5px solid #DB00FF;
		border-radius: 50%;

		@include media-breakpoint-up(md) {
			width: 120px;
			height: 120px;
			margin: 0;
		}

		@include media-breakpoint-up(lg) {
			width: 190px;
			height: 190px;
			padding: 15px;
			border: 15px solid #DB00FF;
		}

		@include media-breakpoint-up(xl) {
			width: 200px;
			height: 200px;
		}

		+.box{
			@include media-breakpoint-down(sm) {
				margin-top: -7.5px;
			}

			@include media-breakpoint-up(md) {
				margin-top: 0;
				margin-left: -7.5px;
			}

			@include media-breakpoint-up(lg) {
				margin-left: -15px;
			}
		}

		.circle-border{
			width: 100%;
			height: 100%;
			padding: 4px;
			border:1px dashed #00C2FF;
			border-radius: 50%;
			position: relative;
			animation-duration: 1s;
			-webkit-animation-duration: 1s;

			&:hover{
				-webkit-animation-name: flashes;
				animation-name: flashes;
  				border:1px dashed transparent;

  				&:after{
  					opacity:0;
  				}
			}

			@include media-breakpoint-up(lg) {
				padding: 10px;
			}

			.arc{
				width: 100%;
				height: 100%;
				display: flex;
				align-items: center;
				justify-content: center;
				text-align: center;
				background: #F5F5F5;
				border-radius: 50%;
				color: #DB00FF;
				font-size: 12px;

				@include media-breakpoint-up(lg) {
					font-size: 18px;
				}
			}

			.caption{
				width: 100px;
				height: 150px;
				display: flex;
				text-align: center;
				justify-content: center;
				align-items: center;

				@include media-breakpoint-up(md) {
					width: 170px;
					height: unset;
				}

				@include media-breakpoint-up(lg) {
					width: 320px;
				}

				p{
					color: #F5F5F5;
					font-size: 12px;
					margin: 0;

					@include media-breakpoint-up(lg) {
						font-size: 14px;
					}
				}
			}

			&:after{
				position: absolute;
				top: 50%;
				content:"";
				height: 0px;
				width: 25px;
				border:.3px dashed #00C2FF;

				@include media-breakpoint-up(md) {
					right: 50%;
					content:"";
					height: 25px;
					width: 0;
				}

				@include media-breakpoint-up(lg) {
					height: 50px;
					border:1px dashed #00C2FF;
				}
			}
		}

		&.top{
			border-bottom: 7.5px solid transparent;
			border-left: 7.5px solid transparent;
			-ms-transform: rotate(45deg); /* IE 9 */
			-webkit-transform: rotate(45deg); /* Safari prior 9.0 */
			transform: rotate(45deg); /* Standard syntax */

			@include media-breakpoint-up(md) {
				-ms-transform: rotate(-45deg); /* IE 9 */
				-webkit-transform: rotate(-45deg); /* Safari prior 9.0 */
				transform: rotate(-45deg); /* Standard syntax */
			}

			@include media-breakpoint-up(lg) {
				border-bottom: 15px solid transparent;
				border-left: 15px solid transparent;
			}
			
			.circle-border{
				-ms-transform: rotate(-45deg); /* IE 9 */
				-webkit-transform: rotate(-45deg); /* Safari prior 9.0 */
				transform: rotate(-45deg);

				@include media-breakpoint-up(md) {
					-ms-transform: rotate(45deg); /* IE 9 */
					-webkit-transform: rotate(45deg); /* Safari prior 9.0 */
					transform: rotate(45deg);
				}

				.caption{
					position: absolute;
					right: 140%;
					top:-39px;

					@include media-breakpoint-up(md) {
						left: unset;
						right:-50px;
						top: 140%;
					}

					@include media-breakpoint-up(lg) {
						right:-90px;
					}
				}

				&:after{
					position: absolute;
					right: 105%;

					@include media-breakpoint-up(md) {
						right:50%;
						top: 103%;
					}

					@include media-breakpoint-up(lg) {
						right:50%;
						top: 103%;
					}
				}
			}
		}

		&.bottom{
			border-top: 7.5px solid transparent;
			border-left: 7.5px solid transparent;
			-ms-transform: rotate(135deg); /* IE 9 */
			-webkit-transform: rotate(135deg); /* Safari prior 9.0 */
			transform: rotate(135deg);

			@include media-breakpoint-up(md) {
				-ms-transform: rotate(45deg); /* IE 9 */
				-webkit-transform: rotate(45deg); /* Safari prior 9.0 */
				transform: rotate(45deg);
			}

			@include media-breakpoint-up(lg) {
				border-top: 15px solid transparent;
				border-left: 15px solid transparent;
			}

			.circle-border{
				-ms-transform: rotate(-135deg); /* IE 9 */
				-webkit-transform: rotate(-135deg); /* Safari prior 9.0 */
				transform: rotate(-135deg);

				@include media-breakpoint-up(md) {
					-ms-transform: rotate(-45deg); /* IE 9 */
					-webkit-transform: rotate(-45deg); /* Safari prior 9.0 */
					transform: rotate(-45deg);
				}

				.caption{
					position: absolute;
					left: 140%;
					top:-39px;

					@include media-breakpoint-up(md) {
						right:-50px;
						bottom: 140%;
						left: unset;
						top: unset;
					}

					@include media-breakpoint-up(lg) {
						right:-90px;
					}
				}

				&:after{
					position: absolute;
					left : 105%;

					@include media-breakpoint-up(md) {
						bottom : 103%;
						right:50%;
						top: unset;
						left: unset;
					}
				}

			}
		}
	}
}

@keyframes flashes {
  0%   {
  	box-shadow: 1px 1px 15px 5px #00C2FF;;
  }
  100% {border:1px dashed transparent;}
}

@-webkit-keyframes flashes {
  0%   {
  	box-shadow: 1px 1px 15px 5px #00C2FF;;
  }
  100% {border:1px dashed transparent;}
}